@import "../../global";

.arrow-button-container {
	position: absolute;
	bottom: 0;
	right: 0;
	transform: translateX(125%);

	width: 28px;
	height: 28px;

	cursor: pointer;

	user-select: none;

	#flex.center();

	border-radius: 50%;
	overflow: hidden;

	background: inherit;
	border: 0;
	outline: 0;
	padding: 1px;
	transition: padding .4s;

	&:after {
		#pseudoelement.default();
		background: transparent;
		top: 0px;
		left: 0px;

		transition: background 0.4s;
	}

	&:hover {
		padding: 3px;
	}

	&:hover:after {
		background: rgba(0, 0, 0, 0.15);
	}
}